Notify-OSD should advertise "truncation" capability

Bug #337389 reported by Ted Gould on 2009-03-03
2
Affects Status Importance Assigned to Milestone
notify-osd (Ubuntu)
Undecided
Mirco Müller

Bug Description

Notify-OSD has a unique ability compared to the traditional notification daemon in that it can handle longer strings in a useful manner. It should advertise this ability to ensure that applications know whether they need to truncate the strings on the application side or the notification daemon can do that for them. I think the capability should be called "truncate-string"

Mark Shuttleworth (sabdfl) wrote :

I'd prefer the capability to be "truncation". Less dash, less string.

Mirco Müller (macslow) wrote :

notify-osd (rev. 219) now advertises its capability to be able to truncate summary- and body-text as "truncation".

Changed in notify-osd:
assignee: nobody → macslow
importance: Undecided → Wishlist
status: New → Fix Committed

On Wed, 2009-03-04 at 09:10 +0000, Mirco Müller wrote:
> notify-osd (rev. 219) now advertises its capability to be able to
> truncate summary- and body-text as "truncation".

Supported in pidgin-libnotify as soon as upload happens:

https://bugs.launchpad.net/bugs/337752

Matthew Paul Thomas (mpt) wrote :

I've added this to the spec <https://wiki.ubuntu.com/NotifyOSD?action=diff&rev2=72&rev1=71>, but I don't think it's a good idea. Even if a client wants to cater for poorly-presented servers by handling truncation itself, *how much* it needs to truncate is dependent on the particular notification server. For example, a notification server designed specifically for mobile phones would have notifications much smaller than those displayed by notification-daemon, so they would need to be truncated much more.

Therefore, I think clients that want to bother handling truncation themselves (such as pidgin-libnotify) should use GetServerInformation to target specific servers (e.g. "if notification-daemon, truncate to X characters"), rather than assuming they'll all be the same size.

Ted Gould (ted) wrote :

On Wed, 2009-03-04 at 15:15 +0000, Matthew Paul Thomas wrote:
> Therefore, I think clients that want to bother handling truncation
> themselves (such as pidgin-libnotify) should use GetServerInformation to
> target specific servers (e.g. "if notification-daemon, truncate to X
> characters"), rather than assuming they'll all be the same size.

I imagine that this will only end up a backwards compatibility mode for
the current instance of notification-daemon. I believe that all
notification server implementations will start advertising this ability
for the reasons you stated. If there are going to be sets of
notification servers it would be nearly impossible for apps to keep up.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package notify-osd - 0.9ubuntu2

---------------
notify-osd (0.9ubuntu2) jaunty; urgency=low

  * Merge bug fixes from trunk (r219):
    - Added max. limit of 10 lines for message-body text.
    - 3-line wrapping for summary text.
    - capability "truncation" now advertised to clients (LP: #337389)
    - non-composite mouse-hover effect now fully blanks (LP: #336108)
    - disable markup-filter if parsing fails (LP: #331019)

 -- Martin Pitt <email address hidden> Wed, 04 Mar 2009 19:47:24 +0100

Changed in notify-osd:
status: New → Fix Released
Ted Gould (ted) on 2009-03-06
Changed in notify-osd:
status: Fix Committed → Fix Released
Changed in notify-osd (Ubuntu):
assignee: nobody → Mirco Müller (macslow)
no longer affects: notify-osd
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers